#ifndef __BOOKMARKS_SCOPE_H__
#define __BOOKMARKS_SCOPE_H__

#include <glib.h>
#include <glib-object.h>

#include <unity.h>

#include <sqlite3.h>

G_BEGIN_DECLS

#define BOOKMARKS_SCOPE_TYPE            (bookmarks_scope_get_type ())
#define BOOKMARKS_SCOPE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOOKMARKS_SCOPE_TYPE, BookmarksScope))
#define BOOKMARKS_SCOPE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BOOKMARKS_SCOPE_TYPE, BookmarksScopeClass))
#define IS_BOOKMARKS_SCOPE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOOKMARKS_SCOPE_TYPE))
#define IS_BOOKMARKS_SCOPE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOOKMARKS_SCOPE_TYPE))
#define BOOKMARKS_SCOPE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), BOOKMARKS_SCOPE_TYPE, BookmarksScopeClass))

typedef struct _BookmarksScope      BookmarksScope;
typedef struct _BookmarksScopeClass BookmarksScopeClass;

struct _BookmarksScopeClass {
	GObjectClass parent_class;

};

struct _BookmarksScope {
	GObject parent;

	UnityScope * scope;
	sqlite3 * bookmark_db;
};

GType bookmarks_scope_get_type (void);
BookmarksScope * bookmarks_scope_new (void);

G_END_DECLS

#endif
